Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class CRM_O_CreateBusinessDirectoryTask_PopUp
    Inherits BaseObject

    Private _HRPerson As HRPerson
    Private _AlertPeriod As AlertPeriod 'Figyelmeztetés
    Private _Status As General.TaskStatus
    Private _StartDate As Date
    Private _DueDate As Date
    Private _Subject As String
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property HRPerson As HRPerson
        Get
            Return _HRPerson
        End Get
        Set(value As HRPerson)
            SetPropertyValue("HRPerson", _HRPerson, value)
        End Set
    End Property
    Property AlertPeriod As AlertPeriod
        Get
            Return _AlertPeriod
        End Get
        Set(value As AlertPeriod)
            SetPropertyValue("AlertPeriod", _AlertPeriod, value)
        End Set
    End Property
    Property Status As General.TaskStatus
        Get
            Return _Status
        End Get
        Set(value As General.TaskStatus)
            SetPropertyValue("Status", _Status, value)
        End Set
    End Property
    Property StartDate As Date
        Get
            Return _StartDate
        End Get
        Set(value As Date)
            SetPropertyValue("StartDate", _StartDate, value)
        End Set
    End Property
    Property DueDate As Date
        Get
            Return _DueDate
        End Get
        Set(value As Date)
            SetPropertyValue("DueDate", _DueDate, value)
        End Set
    End Property
    Property Subject As String
        Get
            Return _Subject
        End Get
        Set(value As String)
            SetPropertyValue("Subject", _Subject, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class
